Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.hub
Class InlineContainer

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.hub.ManagedObject
          com.tibco.bpm.web.client.model.pagebus.hub.InlineContainer

All Implemented Interfaces:
  Container

    public class InlineContainer

extends ManagedObject
implements Container

Wraps the TIBCO PageBus JavaScript InlineContainer providing a JSNI interface enabling the use of Managed Hub events.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`InlineContainer(ManagedHub managedHub, java.lang.String clientId)` Creates an InlineContainer with the given required parameters.
`InlineContainer(ManagedHub managedHub, java.lang.String clientId, OnConnectCallback onConnectCallback, OnDisconnectCallback onDisconnectCallback, OnSecurityAlertCallback onSecurityAlertCallback, OnLogCallback onLogCallback)` Creates an InlineContainer with the given optional callbacks.

Method Summary
`java.lang.String` | `getClientId()`
`ManagedHub` | `getManagedHub()`
`protected com.google.gwt.core.client.JavaScriptObject` | `getNativeInlineContainer()`
`java.lang.Object` | `getParameters()`
`java.lang.String` | `getPartnerOrigin()`
`boolean` | `isConnected()`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedObject
`addObject, getManagedObjectForNative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineContainer

    public InlineContainer(ManagedHub managedHub,
                           java.lang.String clientId)

  Creates an InlineContainer with the given required parameters. Defaults values are used for optional parameters. A default noop callback is used for optional callbacks.

  Parameters:
    `managedHub` - The ManagedHub instance to which this Container belongs.
    `clientId` - Identifies a particular client of a Managed Hub. Unique within the context of the ManagedHub.
  Throws:
    `BadParametersException`
    `DuplicateException`
    `DisconnectedException`

### InlineContainer

    public InlineContainer(ManagedHub managedHub,
                           java.lang.String clientId,
                           OnConnectCallback onConnectCallback,
                           OnDisconnectCallback onDisconnectCallback,
                           OnSecurityAlertCallback onSecurityAlertCallback,
                           OnLogCallback onLogCallback)

  Creates an InlineContainer with the given optional callbacks. The first five parameters are required, the rest are optional and null may be passed. If null is passed for any callback then a default noop callback is used.

  Parameters:
    `managedHub` - The ManagedHub instance to which this Container belongs.
    `clientId` - Identifies a particular client of a Managed Hub. Unique within the context of the ManagedHub.
    `onConnectCallback` - Called when the client connects to the Managed Hub.
    `OnDisconnectCallback` - Called when the client disconnects from the Managed Hub.
    `onSecurityAlertCallback` - Invoked when a security alert is raised.
    `onLogCallback` - Receives build-in logging from the PageBus.
  Throws:
    `BadParametersException`
    `DuplicateException`
    `DisconnectedException`

Method Detail

### getNativeInlineContainer

    protected com.google.gwt.core.client.JavaScriptObject getNativeInlineContainer()

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `Container`

### getClientId

    public java.lang.String getClientId()

  Specified by:
    `getClientId` in interface `Container`

### getPartnerOrigin

    public java.lang.String getPartnerOrigin()

  Specified by:
    `getPartnerOrigin` in interface `Container`

### getParameters

    public java.lang.Object getParameters()

  Specified by:
    `getParameters` in interface `Container`

### getManagedHub

    public ManagedHub getManagedHub()

  Specified by:
    `getManagedHub` in interface `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.